Subject: RE: [Tsvwg] WGLC for draft-ietf-tsvwg-2960bis-02 starts NOW

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Mon, 30 Oct 2006 15:43:34 +0200

1. I believe that the document could benefit from a section describing
the changes relative to RFC 2960.
2. I believe that the document could be improved by adding a operational
and manageability considerations section. Such a section should include
information concerning the way the protocol is expected to be deployed
and configured, initial configuration parameters if relevant, how a SCTP
capable network is to be operated and managed, management entities and
models, etc. 

Dan

> -----Original Message-----
> From: James M. Polk [mailto:[email-masked]] 
> Sent: Friday, October 13, 2006 11:37 PM
> To: tsvwg
> Subject: [Tsvwg] WGLC for draft-ietf-tsvwg-2960bis-02 starts NOW
> 
> TSVWG Group
> 
> The WGLC for SCTP (2960bis)
> 
> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-2960bis-02.txt
> 
> starts NOW.
> 
> All comments (nits, errors, suggestions, comments, approval) 
> regarding this ID should be directed to the TSVWG list.
> 
> WGLC will end on or about October 30th, 2006, depending on 
> the level of discussion at that time.
> 
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 30 Oct 2006 12:53:56 -0700

Dan,

Please see comments below...

Romascanu, Dan (Dan) wrote:                  (Mon, 30 Oct 2006 15:43:34)
> the changes relative to RFC 2960.

I believe that was the purpose of RFC 4460 and does not need to be
repeated in the document.

> capable network is to be operated and managed, management entities and

I believe that is already handled by RFC 3257, RFC 3286, RFC 3873 and
RFC 4166 and does not need to be repeated in the document.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Lars Eggert <[email-masked]>
Date: Mon, 30 Oct 2006 23:06:36 +0100

> RFC 4166 and does not need to be repeated in the document.

Also, 2960bis was intended to fix bugs and address ambiguities in the  
original specification, without adding major new mechanisms or bodies  
of text.

Lars
-- 
Lars Eggert                                     NEC Network Laboratories

---

From: Randall Stewart <[email-masked]>
Date: Mon, 30 Oct 2006 19:08:20 -0500

Dan:

A couple of thoughts here..

> the changes relative to RFC 2960.

The changes are documented in RFC4460.. this is what the whole
point of the document was.. a living history of why we changed
what we changed in the BIS document. I would not like to see
the protocol document cluttered with this.. since the new RFC
will replace 2960... just like 793 replaced the previous TCP
document (can't remember the number off the top of my head :-o)

> capable network is to be operated and managed, management entities and

This type of information IMO would go with the applications
that want to use it. There is a standard "recommended" set of parameters
but different apps will have different needs. Thus the sigtran
suite, for example, might want to have such a document (they may already
have this)...

Any application might want to describe there "adaption" to SCTP if they
feel the standard settings are not appropriate..

This is, after all, a protocol description.. what you are asking
for is a "deployment" scenaro... and I would never want to see
something like this in the actual protocol document..

Now, besides all that, we have some ground rules setup for how
we were to change 2960. These were that only changes pertinent to
4460 would be applied.... i.e. 4460 scoped the changes to 2960.
As such, only things changed in 4460 were open for discussion.. e.g.
look you changed X to Y.. but you missed changing X to Y in section Foo.

R

-- 
Randall Stewart
803-345-0369 <or> 815-342-5222(cell)

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 31 Oct 2006 11:44:09 +0100

> document (can't remember the number off the top of my head :-o)

I think the reasonable thing here is to include a "Changes compared to 
RFC 2960" section that simply contains a reference to RFC 4460. That way 
people can look it up.

Cheers

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]

---

From: Randall Stewart <[email-masked]>
Date: Tue, 31 Oct 2006 08:55:21 -0500

> RFC 2960" section that simply contains a reference to RFC 4460. That way 

Hmm.. that makes sense.. let me take a look at the document and
see if I can find the "right" place to tuck such a reference... maybe
in the intro :-0

R

---

From: Randall Stewart <[email-masked]>
Date: Tue, 31 Oct 2006 09:02:25 -0500

Magnus:

How about if we add to the intro:
"
<section anchor="1.7" title="Changes from RFC2960">
<t>
SCTP was originally defined in <xref target="RFC2960"></xref> which
this document replaces. Readers interested in the details of the
various changes that this document incorporates are asked to
consult <xref target="RFC4460"></xref>.
</t>
</section>
"

???

R

---

From: Lars Eggert <[email-masked]>
Date: Tue, 31 Oct 2006 15:12:14 +0100

> consult <xref target="RFC4460"></xref>.

Nit: s/replaces/obsoletes/

Lars

---

From: Randall Stewart <[email-masked]>
Date: Tue, 31 Oct 2006 09:17:10 -0500

> Nit: s/replaces/obsoletes/

Ok, I will take that as an "ack" with the nit ... which I have fixed :-)

R

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 31 Oct 2006 15:37:18 +0100

> Ok, I will take that as an "ack" with the nit ... which I have fixed :-)

Looks good

Cheers

Magnus Westerlund

---

From: Michael Tuexen <[email-masked]>
Date: Tue, 31 Oct 2006 19:18:01 +0100

Hi Randy,

please take into account that RFC 4460 describes the the changes
between RFC 2960 and RFC 3309 on the one hand and the RFC2960bis
on the other hand.

Best regards
Michael

On Oct 31, 2006, at 3:02 PM, Randall Stewart wrote:

>> I think the reasonable thing here is to include a "Changes  
>> compared to RFC 2960" section that simply contains a reference to  
>> RFC 4460. That way people can look it up.
>> Cheers
>> Magnus Westerlund